<?php
session_start(); // Initialize session data
ob_start(); // Turn on output buffering
?>
<?php include "ewcfg6.php" ?>
<?php include "ewmysql6.php" ?>
<?php include "phpfn6.php" ?>
<?php include "usuarioinfo.php" ?>
<?php include "userfn6.php" ?>
<?php
header("Expires: Mon, 26 Jul 1997 05:00:00 GMT"); // Date in the past
header("Last-Modified: " . gmdate("D, d M Y H:i:s") . " GMT"); // Always modified
header("Cache-Control: private, no-store, no-cache, must-revalidate"); // HTTP/1.1 
header("Cache-Control: post-check=0, pre-check=0", false);
header("Pragma: no-cache"); // HTTP/1.0
?>
<?php

// Define page object
$usuario_list = new cusuario_list();
$Page =& $usuario_list;

// Page init processing
$usuario_list->Page_Init();

// Page main processing
$usuario_list->Page_Main();
?>
<?php include "header.php" ?>
<?php if ($usuario->Export == "") { ?>
<script type="text/javascript">
<!--

// Create page object
var usuario_list = new ew_Page("usuario_list");

// page properties
usuario_list.PageID = "list"; // page ID
var EW_PAGE_ID = usuario_list.PageID; // for backward compatibility

// extend page with Form_CustomValidate function
usuario_list.Form_CustomValidate = 
 function(fobj) { // DO NOT CHANGE THIS LINE!

 	// Your custom validation code here, return false if invalid. 
 	return true;
 }
<?php if (EW_CLIENT_VALIDATE) { ?>
usuario_list.ValidateRequired = true; // uses JavaScript validation
<?php } else { ?>
usuario_list.ValidateRequired = false; // no JavaScript validation
<?php } ?>

//-->
</script>
<script type="text/javascript">
<!--
var ew_DHTMLEditors = [];

//-->
</script>
<script language="JavaScript" type="text/javascript">
<!--

// Write your client script here, no need to add script tags.
// To include another .js script, use:
// ew_ClientScriptInclude("my_javascript.js"); 
//-->

</script>
<?php } ?>
<?php if ($usuario->Export == "") { ?>
<?php } ?>
<?php
	$bSelectLimit = ($usuario->Export == "" && $usuario->SelectLimit);
	if (!$bSelectLimit)
		$rs = $usuario_list->LoadRecordset();
	$usuario_list->lTotalRecs = ($bSelectLimit) ? $usuario->SelectRecordCount() : $rs->RecordCount();
	$usuario_list->lStartRec = 1;
	if ($usuario_list->lDisplayRecs <= 0) // Display all records
		$usuario_list->lDisplayRecs = $usuario_list->lTotalRecs;
	if (!($usuario->ExportAll && $usuario->Export <> ""))
		$usuario_list->SetUpStartRec(); // Set up start record position
	if ($bSelectLimit)
		$rs = $usuario_list->LoadRecordset($usuario_list->lStartRec-1, $usuario_list->lDisplayRecs);
?>
<p><span class="phpmaker" style="white-space: nowrap;">TABLA: usuario
<?php if ($usuario->Export == "" && $usuario->CurrentAction == "") { ?>
&nbsp;&nbsp;<a href="<?php echo $usuario_list->PageUrl() ?>export=excel"><img src='images/exportxls.gif' width='16' height='16' border='0' alt='Exportar a Excel'></a>
&nbsp;&nbsp;<a href="<?php echo $usuario_list->PageUrl() ?>export=word"><img src='images/exportdoc.gif' width='16' height='16' border='0' alt='Exportar a Word'></a>
&nbsp;&nbsp;<a href="<?php echo $usuario_list->PageUrl() ?>export=csv"><img src='images/exportcsv.gif' width='16' height='16' border='0' alt='Exportar a CSV'></a>
<?php } ?>
</span></p>
<?php if ($Security->IsLoggedIn()) { ?>
<?php if ($usuario->Export == "" && $usuario->CurrentAction == "") { ?>
<a href="javascript:ew_ToggleSearchPanel(usuario_list);" style="text-decoration: none;"><img id="usuario_list_SearchImage" src="images/collapse.gif" alt="" width="9" height="9" border="0"></a><span class="phpmaker">&nbsp;Buscar</span><br>
<div id="usuario_list_SearchPanel">
<form name="fusuariolistsrch" id="fusuariolistsrch" class="ewForm" action="<?php echo ew_CurrentPage() ?>">
<input type="hidden" id="t" name="t" value="usuario">
<table class="ewBasicSearch">
	<tr>
		<td><span class="phpmaker">
			<input type="text" name="<?php echo EW_TABLE_BASIC_SEARCH ?>" id="<?php echo EW_TABLE_BASIC_SEARCH ?>" size="20" value="<?php echo ew_HtmlEncode($usuario->getBasicSearchKeyword()) ?>">
			<input type="Submit" name="Submit" id="Submit" value="Buscar (*)">&nbsp;
			<a href="<?php echo $usuario_list->PageUrl() ?>cmd=reset">Ver Todo</a>&nbsp;
		</span></td>
	</tr>
	<tr>
	<td><span class="phpmaker"><label><input type="radio" name="<?php echo EW_TABLE_BASIC_SEARCH_TYPE ?>" id="<?php echo EW_TABLE_BASIC_SEARCH_TYPE ?>" value=""<?php if ($usuario->getBasicSearchType() == "") { ?> checked="checked"<?php } ?>>Frase exacta</label>&nbsp;&nbsp;<label><input type="radio" name="<?php echo EW_TABLE_BASIC_SEARCH_TYPE ?>" id="<?php echo EW_TABLE_BASIC_SEARCH_TYPE ?>" value="AND"<?php if ($usuario->getBasicSearchType() == "AND") { ?> checked="checked"<?php } ?>>Todas las palabras</label>&nbsp;&nbsp;<label><input type="radio" name="<?php echo EW_TABLE_BASIC_SEARCH_TYPE ?>" id="<?php echo EW_TABLE_BASIC_SEARCH_TYPE ?>" value="OR"<?php if ($usuario->getBasicSearchType() == "OR") { ?> checked="checked"<?php } ?>>Cualquier palabra</label></span></td>
	</tr>
</table>
</form>
</div>
<?php } ?>
<?php } ?>
<?php $usuario_list->ShowMessage() ?>
<br>
<table cellspacing="0" class="ewGrid"><tr><td class="ewGridContent">
<div class="ewGridMiddlePanel">
<form name="fusuariolist" id="fusuariolist" class="ewForm" action="" method="post">
<?php if ($usuario_list->lTotalRecs > 0) { ?>
<table cellspacing="0" rowhighlightclass="ewTableHighlightRow" rowselectclass="ewTableSelectRow" roweditclass="ewTableEditRow" class="ewTable ewTableSeparate">
<?php
	$usuario_list->lOptionCnt = 0;
if ($Security->IsLoggedIn()) {
	$usuario_list->lOptionCnt++; // view
}
if ($Security->IsLoggedIn()) {
	$usuario_list->lOptionCnt++; // edit
}
if ($Security->IsLoggedIn()) {
	$usuario_list->lOptionCnt++; // copy
}
if ($Security->IsLoggedIn()) {
	$usuario_list->lOptionCnt++; // Delete
}
	$usuario_list->lOptionCnt += count($usuario_list->ListOptions->Items); // Custom list options
?>
<?php echo $usuario->TableCustomInnerHtml ?>
<thead><!-- Table header -->
	<tr class="ewTableHeader">
<?php if ($usuario->cod_usuario->Visible) { // cod_usuario ?>
	<?php if ($usuario->SortUrl($usuario->cod_usuario) == "") { ?>
		<td>cod usuario</td>
	<?php } else { ?>
		<td class="ewPointer" onmousedown="ew_Sort(event,'<?php echo $usuario->SortUrl($usuario->cod_usuario) ?>',1);">
			<table cellspacing="0" class="ewTableHeaderBtn"><tr><td>cod usuario</td><td style="width: 10px;"><?php if ($usuario->cod_usuario->getSort() == "ASC") { ?><img src="images/sortup.gif" width="10" height="9" border="0"><?php } elseif ($usuario->cod_usuario->getSort() == "DESC") { ?><img src="images/sortdown.gif" width="10" height="9" border="0"><?php } ?></td></tr></table>
		</td>
	<?php } ?>
<?php } ?>		
<?php if ($usuario->des_email->Visible) { // des_email ?>
	<?php if ($usuario->SortUrl($usuario->des_email) == "") { ?>
		<td>des email</td>
	<?php } else { ?>
		<td class="ewPointer" onmousedown="ew_Sort(event,'<?php echo $usuario->SortUrl($usuario->des_email) ?>',1);">
			<table cellspacing="0" class="ewTableHeaderBtn"><tr><td>des email&nbsp;(*)</td><td style="width: 10px;"><?php if ($usuario->des_email->getSort() == "ASC") { ?><img src="images/sortup.gif" width="10" height="9" border="0"><?php } elseif ($usuario->des_email->getSort() == "DESC") { ?><img src="images/sortdown.gif" width="10" height="9" border="0"><?php } ?></td></tr></table>
		</td>
	<?php } ?>
<?php } ?>		
<?php if ($usuario->nom_usuario_sistema->Visible) { // nom_usuario_sistema ?>
	<?php if ($usuario->SortUrl($usuario->nom_usuario_sistema) == "") { ?>
		<td>nom usuario sistema</td>
	<?php } else { ?>
		<td class="ewPointer" onmousedown="ew_Sort(event,'<?php echo $usuario->SortUrl($usuario->nom_usuario_sistema) ?>',1);">
			<table cellspacing="0" class="ewTableHeaderBtn"><tr><td>nom usuario sistema&nbsp;(*)</td><td style="width: 10px;"><?php if ($usuario->nom_usuario_sistema->getSort() == "ASC") { ?><img src="images/sortup.gif" width="10" height="9" border="0"><?php } elseif ($usuario->nom_usuario_sistema->getSort() == "DESC") { ?><img src="images/sortdown.gif" width="10" height="9" border="0"><?php } ?></td></tr></table>
		</td>
	<?php } ?>
<?php } ?>		
<?php if ($usuario->des_password->Visible) { // des_password ?>
	<?php if ($usuario->SortUrl($usuario->des_password) == "") { ?>
		<td>des password</td>
	<?php } else { ?>
		<td class="ewPointer" onmousedown="ew_Sort(event,'<?php echo $usuario->SortUrl($usuario->des_password) ?>',1);">
			<table cellspacing="0" class="ewTableHeaderBtn"><tr><td>des password&nbsp;(*)</td><td style="width: 10px;"><?php if ($usuario->des_password->getSort() == "ASC") { ?><img src="images/sortup.gif" width="10" height="9" border="0"><?php } elseif ($usuario->des_password->getSort() == "DESC") { ?><img src="images/sortdown.gif" width="10" height="9" border="0"><?php } ?></td></tr></table>
		</td>
	<?php } ?>
<?php } ?>		
<?php if ($usuario->Export == "") { ?>
<?php if ($Security->IsLoggedIn()) { ?>
<td style="white-space: nowrap;">&nbsp;</td>
<?php } ?>
<?php if ($Security->IsLoggedIn()) { ?>
<td style="white-space: nowrap;">&nbsp;</td>
<?php } ?>
<?php if ($Security->IsLoggedIn()) { ?>
<td style="white-space: nowrap;">&nbsp;</td>
<?php } ?>
<?php if ($Security->IsLoggedIn()) { ?>
<td style="white-space: nowrap;">&nbsp;</td>
<?php } ?>
<?php

// Custom list options
foreach ($usuario_list->ListOptions->Items as $ListOption) {
	if ($ListOption->Visible)
		echo $ListOption->HeaderCellHtml;
}
?>
<?php } ?>
	</tr>
</thead>
<?php
if ($usuario->ExportAll && $usuario->Export <> "") {
	$usuario_list->lStopRec = $usuario_list->lTotalRecs;
} else {
	$usuario_list->lStopRec = $usuario_list->lStartRec + $usuario_list->lDisplayRecs - 1; // Set the last record to display
}
$usuario_list->lRecCount = $usuario_list->lStartRec - 1;
if ($rs && !$rs->EOF) {
	$rs->MoveFirst();
	if (!$usuario->SelectLimit && $usuario_list->lStartRec > 1)
		$rs->Move($usuario_list->lStartRec - 1);
}
$usuario_list->lRowCnt = 0;
while (($usuario->CurrentAction == "gridadd" || !$rs->EOF) &&
	$usuario_list->lRecCount < $usuario_list->lStopRec) {
	$usuario_list->lRecCount++;
	if (intval($usuario_list->lRecCount) >= intval($usuario_list->lStartRec)) {
		$usuario_list->lRowCnt++;

	// Init row class and style
	$usuario->CssClass = "";
	$usuario->CssStyle = "";
	$usuario->RowClientEvents = "onmouseover='ew_MouseOver(event, this);' onmouseout='ew_MouseOut(event, this);' onclick='ew_Click(event, this);'";
	if ($usuario->CurrentAction == "gridadd") {
		$usuario_list->LoadDefaultValues(); // Load default values
	} else {
		$usuario_list->LoadRowValues($rs); // Load row values
	}
	$usuario->RowType = EW_ROWTYPE_VIEW; // Render view

	// Render row
	$usuario_list->RenderRow();
?>
	<tr<?php echo $usuario->RowAttributes() ?>>
	<?php if ($usuario->cod_usuario->Visible) { // cod_usuario ?>
		<td<?php echo $usuario->cod_usuario->CellAttributes() ?>>
<div<?php echo $usuario->cod_usuario->ViewAttributes() ?>><?php echo $usuario->cod_usuario->ListViewValue() ?></div>
</td>
	<?php } ?>
	<?php if ($usuario->des_email->Visible) { // des_email ?>
		<td<?php echo $usuario->des_email->CellAttributes() ?>>
<div<?php echo $usuario->des_email->ViewAttributes() ?>><?php echo $usuario->des_email->ListViewValue() ?></div>
</td>
	<?php } ?>
	<?php if ($usuario->nom_usuario_sistema->Visible) { // nom_usuario_sistema ?>
		<td<?php echo $usuario->nom_usuario_sistema->CellAttributes() ?>>
<div<?php echo $usuario->nom_usuario_sistema->ViewAttributes() ?>><?php echo $usuario->nom_usuario_sistema->ListViewValue() ?></div>
</td>
	<?php } ?>
	<?php if ($usuario->des_password->Visible) { // des_password ?>
		<td<?php echo $usuario->des_password->CellAttributes() ?>>
<div<?php echo $usuario->des_password->ViewAttributes() ?>><?php echo $usuario->des_password->ListViewValue() ?></div>
</td>
	<?php } ?>
<?php if ($usuario->Export == "") { ?>
<?php if ($Security->IsLoggedIn()) { ?>
<td style="white-space: nowrap;"><span class="phpmaker">
<a href="<?php echo $usuario->ViewUrl() ?>"><img src='images/browse.gif' width='16' height='16' border='0' alt='Ver'></a>
</span></td>
<?php } ?>
<?php if ($Security->IsLoggedIn()) { ?>
<td style="white-space: nowrap;"><span class="phpmaker">
<a href="<?php echo $usuario->EditUrl() ?>"><img src='images/edit.gif' width='16' height='16' border='0' alt='Editar'></a>
</span></td>
<?php } ?>
<?php if ($Security->IsLoggedIn()) { ?>
<td style="white-space: nowrap;"><span class="phpmaker">
<a href="<?php echo $usuario->CopyUrl() ?>"><img src='images/copy.gif' width='16' height='16' border='0' alt='Copiar'></a>
</span></td>
<?php } ?>
<?php if ($Security->IsLoggedIn()) { ?>
<td style="white-space: nowrap;"><span class="phpmaker">
<a href="<?php echo $usuario->DeleteUrl() ?>"><img src='images/delete.gif' width='16' height='16' border='0' alt='Borrar'></a>
</span></td>
<?php } ?>
<?php

// Custom list options
foreach ($usuario_list->ListOptions->Items as $ListOption) {
	if ($ListOption->Visible)
		echo $ListOption->BodyCellHtml;
}
?>
<?php } ?>
	</tr>
<?php
	}
	if ($usuario->CurrentAction <> "gridadd")
		$rs->MoveNext();
}
?>
</tbody>
</table>
<?php } ?>
</form>
<?php

// Close recordset
if ($rs)
	$rs->Close();
?>
</div>
<?php if ($usuario->Export == "") { ?>
<div class="ewGridLowerPanel">
<?php if ($usuario->CurrentAction <> "gridadd" && $usuario->CurrentAction <> "gridedit") { ?>
<form name="ewpagerform" id="ewpagerform" class="ewForm" action="<?php echo ew_CurrentPage() ?>">
<table border="0" cellspacing="0" cellpadding="0" class="ewPager">
	<tr>
		<td nowrap>
<?php if (!isset($usuario_list->Pager)) $usuario_list->Pager = new cPrevNextPager($usuario_list->lStartRec, $usuario_list->lDisplayRecs, $usuario_list->lTotalRecs) ?>
<?php if ($usuario_list->Pager->RecordCount > 0) { ?>
	<table border="0" cellspacing="0" cellpadding="0"><tr><td><span class="phpmaker">Página&nbsp;</span></td>
<!--first page button-->
	<?php if ($usuario_list->Pager->FirstButton->Enabled) { ?>
	<td><a href="<?php echo $usuario_list->PageUrl() ?>start=<?php echo $usuario_list->Pager->FirstButton->Start ?>"><img src="images/first.gif" alt="Primera" width="16" height="16" border="0"></a></td>
	<?php } else { ?>
	<td><img src="images/firstdisab.gif" alt="Primera" width="16" height="16" border="0"></td>
	<?php } ?>
<!--previous page button-->
	<?php if ($usuario_list->Pager->PrevButton->Enabled) { ?>
	<td><a href="<?php echo $usuario_list->PageUrl() ?>start=<?php echo $usuario_list->Pager->PrevButton->Start ?>"><img src="images/prev.gif" alt="Previo" width="16" height="16" border="0"></a></td>
	<?php } else { ?>
	<td><img src="images/prevdisab.gif" alt="Previo" width="16" height="16" border="0"></td>
	<?php } ?>
<!--current page number-->
	<td><input type="text" name="<?php echo EW_TABLE_PAGE_NO ?>" id="<?php echo EW_TABLE_PAGE_NO ?>" value="<?php echo $usuario_list->Pager->CurrentPage ?>" size="4"></td>
<!--next page button-->
	<?php if ($usuario_list->Pager->NextButton->Enabled) { ?>
	<td><a href="<?php echo $usuario_list->PageUrl() ?>start=<?php echo $usuario_list->Pager->NextButton->Start ?>"><img src="images/next.gif" alt="Siguiente" width="16" height="16" border="0"></a></td>	
	<?php } else { ?>
	<td><img src="images/nextdisab.gif" alt="Siguiente" width="16" height="16" border="0"></td>
	<?php } ?>
<!--last page button-->
	<?php if ($usuario_list->Pager->LastButton->Enabled) { ?>
	<td><a href="<?php echo $usuario_list->PageUrl() ?>start=<?php echo $usuario_list->Pager->LastButton->Start ?>"><img src="images/last.gif" alt="Ultima" width="16" height="16" border="0"></a></td>	
	<?php } else { ?>
	<td><img src="images/lastdisab.gif" alt="Ultima" width="16" height="16" border="0"></td>
	<?php } ?>
	<td><span class="phpmaker">&nbsp;de <?php echo $usuario_list->Pager->PageCount ?></span></td>
	</tr></table>
	</td>	
	<td>&nbsp;&nbsp;&nbsp;&nbsp;</td>
	<td>
	<span class="phpmaker">Registros <?php echo $usuario_list->Pager->FromIndex ?> a <?php echo $usuario_list->Pager->ToIndex ?> de <?php echo $usuario_list->Pager->RecordCount ?></span>
<?php } else { ?>
	<?php if ($usuario_list->sSrchWhere == "0=101") { ?>
	<span class="phpmaker">Ingresar criterio de búsqueda</span>
	<?php } else { ?>
	<span class="phpmaker">No se encontraron registros</span>
	<?php } ?>
<?php } ?>
		</td>
<?php if ($usuario_list->lTotalRecs > 0) { ?>
		<td>&nbsp;&nbsp;&nbsp;&nbsp;</td>
		<td><table border="0" cellspacing="0" cellpadding="0"><tr><td>Tamaño&nbsp;</td><td>
<input type="hidden" id="t" name="t" value="usuario">
<select name="<?php echo EW_TABLE_REC_PER_PAGE ?>" id="<?php echo EW_TABLE_REC_PER_PAGE ?>" onchange="this.form.submit();" class="phpmaker">
<option value="20"<?php if ($usuario_list->lDisplayRecs == 20) { ?> selected="selected"<?php } ?>>20</option>
<option value="50"<?php if ($usuario_list->lDisplayRecs == 50) { ?> selected="selected"<?php } ?>>50</option>
<option value="ALL"<?php if ($usuario->getRecordsPerPage() == -1) { ?> selected="selected"<?php } ?>>Todos</option>
</select></td></tr></table>
		</td>
<?php } ?>
	</tr>
</table>
</form>
<?php } ?>
<?php //if ($usuario_list->lTotalRecs > 0) { ?>
<span class="phpmaker">
<?php if ($Security->IsLoggedIn()) { ?>
<a href="<?php echo $usuario->AddUrl() ?>">Agregar</a>&nbsp;&nbsp;
<?php } ?>
</span>
<?php //} ?>
</div>
<?php } ?>
</td></tr></table>
<?php if ($usuario->Export == "" && $usuario->CurrentAction == "") { ?>
<script type="text/javascript">
<!--

//ew_ToggleSearchPanel(usuario_list); // uncomment to init search panel as collapsed
//-->

</script>
<?php } ?>
<?php if ($usuario->Export == "") { ?>
<script language="JavaScript" type="text/javascript">
<!--

// Write your table-specific startup script here
// document.write("page loaded");
//-->

</script>
<?php } ?>
<?php include "footer.php" ?>
<?php

//
// Page Class
//
class cusuario_list {

	// Page ID
	var $PageID = 'list';

	// Table Name
	var $TableName = 'usuario';

	// Page Object Name
	var $PageObjName = 'usuario_list';

	// Page Name
	function PageName() {
		return ew_CurrentPage();
	}

	// Page Url
	function PageUrl() {
		$PageUrl = ew_CurrentPage() . "?";
		global $usuario;
		if ($usuario->UseTokenInUrl) $PageUrl .= "t=" . $usuario->TableVar . "&"; // add page token
		return $PageUrl;
	}

	// Message
	function getMessage() {
		return @$_SESSION[EW_SESSION_MESSAGE];
	}

	function setMessage($v) {
		if (@$_SESSION[EW_SESSION_MESSAGE] <> "") { // Append
			$_SESSION[EW_SESSION_MESSAGE] .= "<br>" . $v;
		} else {
			$_SESSION[EW_SESSION_MESSAGE] = $v;
		}
	}

	// Show Message
	function ShowMessage() {
		if ($this->getMessage() <> "") { // Message in Session, display
			echo "<p><span class=\"ewMessage\">" . $this->getMessage() . "</span></p>";
			$_SESSION[EW_SESSION_MESSAGE] = ""; // Clear message in Session
		}
	}

	// Validate Page request
	function IsPageRequest() {
		global $objForm, $usuario;
		if ($usuario->UseTokenInUrl) {

			//IsPageRequest = False
			if ($objForm)
				return ($usuario->TableVar == $objForm->GetValue("t"));
			if (@$_GET["t"] <> "")
				return ($usuario->TableVar == $_GET["t"]);
		} else {
			return TRUE;
		}
	}

	//
	//  Class initialize
	//  - init objects
	//  - open connection
	//
	function cusuario_list() {
		global $conn;

		// Initialize table object
		$GLOBALS["usuario"] = new cusuario();

		// Intialize page id (for backward compatibility)
		if (!defined("EW_PAGE_ID"))
			define("EW_PAGE_ID", 'list', TRUE);

		// Initialize table name (for backward compatibility)
		if (!defined("EW_TABLE_NAME"))
			define("EW_TABLE_NAME", 'usuario', TRUE);

		// Open connection to the database
		$conn = ew_Connect();

		// Initialize list options
		$this->ListOptions = new cListOptions();
	}

	// 
	//  Page_Init
	//
	function Page_Init() {
		global $gsExport, $gsExportFile, $usuario;
		global $Security;
		$Security = new cAdvancedSecurity();
		if (!$Security->IsLoggedIn()) $Security->AutoLogin();
		if (!$Security->IsLoggedIn()) {
			$Security->SaveLastUrl();
			$this->Page_Terminate("login.php");
		}
	$usuario->Export = @$_GET["export"]; // Get export parameter
	$gsExport = $usuario->Export; // Get export parameter, used in header
	$gsExportFile = $usuario->TableVar; // Get export file, used in header
	if ($usuario->Export == "excel") {
		header('Content-Type: application/vnd.ms-excel');
		header('Content-Disposition: attachment; filename=' . $gsExportFile .'.xls');
	}
	if ($usuario->Export == "word") {
		header('Content-Type: application/vnd.ms-word');
		header('Content-Disposition: attachment; filename=' . $gsExportFile .'.doc');
	}
	if ($usuario->Export == "csv") {
		header('Content-Type: application/csv');
		header('Content-Disposition: attachment; filename=' . $gsExportFile .'.csv');
	}

		// Global page loading event (in userfn6.php)
		Page_Loading();

		// Page load event, used in current page
		$this->Page_Load();
	}

	//
	//  Page_Terminate
	//  - called when exit page
	//  - if URL specified, redirect to the URL
	//
	function Page_Terminate($url = "") {
		global $conn;

		// Page unload event, used in current page
		$this->Page_Unload();

		// Global page unloaded event (in userfn*.php)
		Page_Unloaded();

		 // Close Connection
		$conn->Close();

		// Go to URL if specified
		if ($url <> "") {
			ob_end_clean();
			header("Location: $url");
		}
		exit();
	}
	var $lDisplayRecs; // Number of display records
	var $lStartRec;
	var $lStopRec;
	var $lTotalRecs;
	var $lRecRange;
	var $sSrchWhere;
	var $lRecCnt;
	var $lEditRowCnt;
	var $lRowCnt;
	var $lRowIndex;
	var $lOptionCnt;
	var $lRecPerRow;
	var $lColCnt;
	var $sDeleteConfirmMsg; // Delete confirm message
	var $sDbMasterFilter;
	var $sDbDetailFilter;
	var $bMasterRecordExists;	
	var $ListOptions;
	var $sMultiSelectKey;

	//
	// Page main processing
	//
	function Page_Main() {
		global $objForm, $gsSearchError, $Security, $usuario;
		$this->lDisplayRecs = 50;
		$this->lRecRange = 10;
		$this->lRecCnt = 0; // Record count

		// Search filters
		$sSrchAdvanced = ""; // Advanced search filter
		$sSrchBasic = ""; // Basic search filter
		$sFilter = "";
		$this->sSrchWhere = ""; // Search WHERE clause

		// Master/Detail
		$this->sDbMasterFilter = ""; // Master filter
		$this->sDbDetailFilter = ""; // Detail filter
		if ($this->IsPageRequest()) { // Validate request

			// Set up records per page dynamically
			$this->SetUpDisplayRecs();

			// Handle reset command
			$this->ResetCmd();

			// Get basic search criteria
			if ($gsSearchError == "")
				$sSrchBasic = $this->BasicSearchWhere();

			// Set Up Sorting Order
			$this->SetUpSortOrder();
		} // End Validate Request

		// Restore display records
		if ($usuario->getRecordsPerPage() <> "") {
			$this->lDisplayRecs = $usuario->getRecordsPerPage(); // Restore from Session
		} else {
			$this->lDisplayRecs = 50; // Load default
		}

		// Load Sorting Order
		$this->LoadSortOrder();

		// Build search criteria
		if ($sSrchAdvanced <> "")
			$this->sSrchWhere = ($this->sSrchWhere <> "") ? "($this->sSrchWhere) AND ($sSrchAdvanced)" : $sSrchAdvanced;
		if ($sSrchBasic <> "")
			$this->sSrchWhere = ($this->sSrchWhere <> "") ? "($this->sSrchWhere) AND ($sSrchBasic)" : $sSrchBasic;

		// Call Recordset_Searching event
		$usuario->Recordset_Searching($this->sSrchWhere);

		// Save search criteria
		if ($this->sSrchWhere <> "") {
			if ($sSrchBasic == "")
				$this->ResetBasicSearchParms();
			$usuario->setSearchWhere($this->sSrchWhere); // Save to Session
			$this->lStartRec = 1; // Reset start record counter
			$usuario->setStartRecordNumber($this->lStartRec);
		} else {
			$this->RestoreSearchParms();
		}

		// Build filter
		$sFilter = "";
		if ($this->sDbDetailFilter <> "")
			$sFilter = ($sFilter <> "") ? "($sFilter) AND (" . $this->sDbDetailFilter . ")" : $this->sDbDetailFilter;
		if ($this->sSrchWhere <> "")
			$sFilter = ($sFilter <> "") ? "($sFilter) AND (". $this->sSrchWhere . ")" : $this->sSrchWhere;

		// Set up filter in Session
		$usuario->setSessionWhere($sFilter);
		$usuario->CurrentFilter = "";

		// Export data only
		if (in_array($usuario->Export, array("html","word","excel","xml","csv"))) {
			$this->ExportData();
			$this->Page_Terminate(); // Terminate response
			exit();
		}
	}

	// Set up number of records displayed per page
	function SetUpDisplayRecs() {
		global $usuario;
		$sWrk = @$_GET[EW_TABLE_REC_PER_PAGE];
		if ($sWrk <> "") {
			if (is_numeric($sWrk)) {
				$this->lDisplayRecs = intval($sWrk);
			} else {
				if (strtolower($sWrk) == "all") { // Display all records
					$this->lDisplayRecs = -1;
				} else {
					$this->lDisplayRecs = 50; // Non-numeric, load default
				}
			}
			$usuario->setRecordsPerPage($this->lDisplayRecs); // Save to Session

			// Reset start position
			$this->lStartRec = 1;
			$usuario->setStartRecordNumber($this->lStartRec);
		}
	}

	// Return Basic Search sql
	function BasicSearchSQL($Keyword) {
		global $usuario;
		$sKeyword = ew_AdjustSql($Keyword);
		$sql = "";
		$sql .= $usuario->cod_distrito->FldExpression . " LIKE '%" . $sKeyword . "%' OR ";
		$sql .= $usuario->cod_provincia->FldExpression . " LIKE '%" . $sKeyword . "%' OR ";
		$sql .= $usuario->cod_dpto->FldExpression . " LIKE '%" . $sKeyword . "%' OR ";
		$sql .= $usuario->num_dni->FldExpression . " LIKE '%" . $sKeyword . "%' OR ";
		$sql .= $usuario->nom_usuario->FldExpression . " LIKE '%" . $sKeyword . "%' OR ";
		$sql .= $usuario->ape_usuario->FldExpression . " LIKE '%" . $sKeyword . "%' OR ";
		$sql .= $usuario->des_direccion->FldExpression . " LIKE '%" . $sKeyword . "%' OR ";
		$sql .= $usuario->num_telefono->FldExpression . " LIKE '%" . $sKeyword . "%' OR ";
		$sql .= $usuario->des_email->FldExpression . " LIKE '%" . $sKeyword . "%' OR ";
		$sql .= $usuario->des_info_adicional->FldExpression . " LIKE '%" . $sKeyword . "%' OR ";
		$sql .= $usuario->nom_usuario_sistema->FldExpression . " LIKE '%" . $sKeyword . "%' OR ";
		$sql .= $usuario->des_password->FldExpression . " LIKE '%" . $sKeyword . "%' OR ";
		$sql .= $usuario->ind_activo->FldExpression . " LIKE '%" . $sKeyword . "%' OR ";
		if (substr($sql, -4) == " OR ") $sql = substr($sql, 0, strlen($sql)-4);
		return $sql;
	}

	// Return Basic Search Where based on search keyword and type
	function BasicSearchWhere() {
		global $Security, $usuario;
		$sSearchStr = "";
		$sSearchKeyword = ew_StripSlashes(@$_GET[EW_TABLE_BASIC_SEARCH]);
		$sSearchType = @$_GET[EW_TABLE_BASIC_SEARCH_TYPE];
		if ($sSearchKeyword <> "") {
			$sSearch = trim($sSearchKeyword);
			if ($sSearchType <> "") {
				while (strpos($sSearch, "  ") !== FALSE)
					$sSearch = str_replace("  ", " ", $sSearch);
				$arKeyword = explode(" ", trim($sSearch));
				foreach ($arKeyword as $sKeyword) {
					if ($sSearchStr <> "") $sSearchStr .= " " . $sSearchType . " ";
					$sSearchStr .= "(" . $this->BasicSearchSQL($sKeyword) . ")";
				}
			} else {
				$sSearchStr = $this->BasicSearchSQL($sSearch);
			}
		}
		if ($sSearchKeyword <> "") {
			$usuario->setBasicSearchKeyword($sSearchKeyword);
			$usuario->setBasicSearchType($sSearchType);
		}
		return $sSearchStr;
	}

	// Clear all search parameters
	function ResetSearchParms() {

		// Clear search where
		global $usuario;
		$this->sSrchWhere = "";
		$usuario->setSearchWhere($this->sSrchWhere);

		// Clear basic search parameters
		$this->ResetBasicSearchParms();
	}

	// Clear all basic search parameters
	function ResetBasicSearchParms() {

		// Clear basic search parameters
		global $usuario;
		$usuario->setBasicSearchKeyword("");
		$usuario->setBasicSearchType("");
	}

	// Restore all search parameters
	function RestoreSearchParms() {
		global $gsSearchError, $usuario;
		$this->sSrchWhere = $usuario->getSearchWhere();
	}

	// Set up Sort parameters based on Sort Links clicked
	function SetUpSortOrder() {
		global $usuario;

		// Check for an Order parameter
		if (@$_GET["order"] <> "") {
			$usuario->CurrentOrder = ew_StripSlashes(@$_GET["order"]);
			$usuario->CurrentOrderType = @$_GET["ordertype"];
			$usuario->UpdateSort($usuario->cod_usuario); // Field 
			$usuario->UpdateSort($usuario->des_email); // Field 
			$usuario->UpdateSort($usuario->nom_usuario_sistema); // Field 
			$usuario->UpdateSort($usuario->des_password); // Field 
			$usuario->setStartRecordNumber(1); // Reset start position
		}
	}

	// Load Sort Order parameters
	function LoadSortOrder() {
		global $usuario;
		$sOrderBy = $usuario->getSessionOrderBy(); // Get order by from Session
		if ($sOrderBy == "") {
			if ($usuario->SqlOrderBy() <> "") {
				$sOrderBy = $usuario->SqlOrderBy();
				$usuario->setSessionOrderBy($sOrderBy);
			}
		}
	}

	// Reset command based on querystring parameter cmd=
	// - RESET: reset search parameters
	// - RESETALL: reset search & master/detail parameters
	// - RESETSORT: reset sort parameters
	function ResetCmd() {
		global $usuario;

		// Get reset cmd
		if (@$_GET["cmd"] <> "") {
			$sCmd = $_GET["cmd"];

			// Reset search criteria
			if (strtolower($sCmd) == "reset" || strtolower($sCmd) == "resetall")
				$this->ResetSearchParms();

			// Reset sort criteria
			if (strtolower($sCmd) == "resetsort") {
				$sOrderBy = "";
				$usuario->setSessionOrderBy($sOrderBy);
				$usuario->cod_usuario->setSort("");
				$usuario->des_email->setSort("");
				$usuario->nom_usuario_sistema->setSort("");
				$usuario->des_password->setSort("");
			}

			// Reset start position
			$this->lStartRec = 1;
			$usuario->setStartRecordNumber($this->lStartRec);
		}
	}

	// Set up Starting Record parameters based on Pager Navigation
	function SetUpStartRec() {
		global $usuario;
		if ($this->lDisplayRecs == 0)
			return;
		if ($this->IsPageRequest()) { // Validate request			
			if (@$_GET[EW_TABLE_START_REC] <> "") { // Check for "start" parameter
				$this->lStartRec = $_GET[EW_TABLE_START_REC];
				$usuario->setStartRecordNumber($this->lStartRec);
			} elseif (@$_GET[EW_TABLE_PAGE_NO] <> "") {
				$this->nPageNo = $_GET[EW_TABLE_PAGE_NO];
				if (is_numeric($this->nPageNo)) {
					$this->lStartRec = ($this->nPageNo-1)*$this->lDisplayRecs+1;
					if ($this->lStartRec <= 0) {
						$this->lStartRec = 1;
					} elseif ($this->lStartRec >= intval(($this->lTotalRecs-1)/$this->lDisplayRecs)*$this->lDisplayRecs+1) {
						$this->lStartRec = intval(($this->lTotalRecs-1)/$this->lDisplayRecs)*$this->lDisplayRecs+1;
					}
					$usuario->setStartRecordNumber($this->lStartRec);
				}
			}
		}
		$this->lStartRec = $usuario->getStartRecordNumber();

		// Check if correct start record counter
		if (!is_numeric($this->lStartRec) || $this->lStartRec == "") { // Avoid invalid start record counter
			$this->lStartRec = 1; // Reset start record counter
			$usuario->setStartRecordNumber($this->lStartRec);
		} elseif (intval($this->lStartRec) > intval($this->lTotalRecs)) { // Avoid starting record > total records
			$this->lStartRec = intval(($this->lTotalRecs-1)/$this->lDisplayRecs)*$this->lDisplayRecs+1; // Point to last page first record
			$usuario->setStartRecordNumber($this->lStartRec);
		} elseif (($this->lStartRec-1) % $this->lDisplayRecs <> 0) {
			$this->lStartRec = intval(($this->lStartRec-1)/$this->lDisplayRecs)*$this->lDisplayRecs+1; // Point to page boundary
			$usuario->setStartRecordNumber($this->lStartRec);
		}
	}

	// Load recordset
	function LoadRecordset($offset = -1, $rowcnt = -1) {
		global $conn, $usuario;

		// Call Recordset Selecting event
		$usuario->Recordset_Selecting($usuario->CurrentFilter);

		// Load list page SQL
		$sSql = $usuario->SelectSQL();
		if ($offset > -1 && $rowcnt > -1) $sSql .= " LIMIT $offset, $rowcnt";

		// Load recordset
		$conn->raiseErrorFn = 'ew_ErrorFn';	
		$rs = $conn->Execute($sSql);
		$conn->raiseErrorFn = '';

		// Call Recordset Selected event
		$usuario->Recordset_Selected($rs);
		return $rs;
	}

	// Load row based on key values
	function LoadRow() {
		global $conn, $Security, $usuario;
		$sFilter = $usuario->KeyFilter();

		// Call Row Selecting event
		$usuario->Row_Selecting($sFilter);

		// Load sql based on filter
		$usuario->CurrentFilter = $sFilter;
		$sSql = $usuario->SQL();
		if ($rs = $conn->Execute($sSql)) {
			if ($rs->EOF) {
				$LoadRow = FALSE;
			} else {
				$LoadRow = TRUE;
				$rs->MoveFirst();
				$this->LoadRowValues($rs); // Load row values

				// Call Row Selected event
				$usuario->Row_Selected($rs);
			}
			$rs->Close();
		} else {
			$LoadRow = FALSE;
		}
		return $LoadRow;
	}

	// Load row values from recordset
	function LoadRowValues(&$rs) {
		global $usuario;
		$usuario->cod_usuario->setDbValue($rs->fields('cod_usuario'));
		$usuario->cod_distrito->setDbValue($rs->fields('cod_distrito'));
		$usuario->cod_provincia->setDbValue($rs->fields('cod_provincia'));
		$usuario->cod_dpto->setDbValue($rs->fields('cod_dpto'));
		$usuario->cod_area->setDbValue($rs->fields('cod_area'));
		$usuario->cod_grupo_usuario->setDbValue($rs->fields('cod_grupo_usuario'));
		$usuario->num_dni->setDbValue($rs->fields('num_dni'));
		$usuario->nom_usuario->setDbValue($rs->fields('nom_usuario'));
		$usuario->ape_usuario->setDbValue($rs->fields('ape_usuario'));
		$usuario->des_direccion->setDbValue($rs->fields('des_direccion'));
		$usuario->num_telefono->setDbValue($rs->fields('num_telefono'));
		$usuario->des_email->setDbValue($rs->fields('des_email'));
		$usuario->fec_ingreso->setDbValue($rs->fields('fec_ingreso'));
		$usuario->des_info_adicional->setDbValue($rs->fields('des_info_adicional'));
		$usuario->nom_usuario_sistema->setDbValue($rs->fields('nom_usuario_sistema'));
		$usuario->des_password->setDbValue($rs->fields('des_password'));
		$usuario->ind_activo->setDbValue($rs->fields('ind_activo'));
		$usuario->cod_usuario_registro->setDbValue($rs->fields('cod_usuario_registro'));
		$usuario->fec_registro->setDbValue($rs->fields('fec_registro'));
		$usuario->cod_usuario_modificacion->setDbValue($rs->fields('cod_usuario_modificacion'));
		$usuario->fec_ultima_modificacion->setDbValue($rs->fields('fec_ultima_modificacion'));
	}

	// Render row values based on field settings
	function RenderRow() {
		global $conn, $Security, $usuario;

		// Call Row_Rendering event
		$usuario->Row_Rendering();

		// Common render codes for all row types
		// cod_usuario

		$usuario->cod_usuario->CellCssStyle = "";
		$usuario->cod_usuario->CellCssClass = "";

		// des_email
		$usuario->des_email->CellCssStyle = "";
		$usuario->des_email->CellCssClass = "";

		// nom_usuario_sistema
		$usuario->nom_usuario_sistema->CellCssStyle = "";
		$usuario->nom_usuario_sistema->CellCssClass = "";

		// des_password
		$usuario->des_password->CellCssStyle = "";
		$usuario->des_password->CellCssClass = "";
		if ($usuario->RowType == EW_ROWTYPE_VIEW) { // View row

			// cod_usuario
			$usuario->cod_usuario->ViewValue = $usuario->cod_usuario->CurrentValue;
			$usuario->cod_usuario->CssStyle = "";
			$usuario->cod_usuario->CssClass = "";
			$usuario->cod_usuario->ViewCustomAttributes = "";

			// des_email
			$usuario->des_email->ViewValue = $usuario->des_email->CurrentValue;
			$usuario->des_email->CssStyle = "";
			$usuario->des_email->CssClass = "";
			$usuario->des_email->ViewCustomAttributes = "";

			// nom_usuario_sistema
			$usuario->nom_usuario_sistema->ViewValue = $usuario->nom_usuario_sistema->CurrentValue;
			$usuario->nom_usuario_sistema->CssStyle = "";
			$usuario->nom_usuario_sistema->CssClass = "";
			$usuario->nom_usuario_sistema->ViewCustomAttributes = "";

			// des_password
			$usuario->des_password->ViewValue = $usuario->des_password->CurrentValue;
			$usuario->des_password->CssStyle = "";
			$usuario->des_password->CssClass = "";
			$usuario->des_password->ViewCustomAttributes = "";

			// cod_usuario
			$usuario->cod_usuario->HrefValue = "";

			// des_email
			$usuario->des_email->HrefValue = "";

			// nom_usuario_sistema
			$usuario->nom_usuario_sistema->HrefValue = "";

			// des_password
			$usuario->des_password->HrefValue = "";
		}

		// Call Row Rendered event
		$usuario->Row_Rendered();
	}

	// Export data in XML or CSV format
	function ExportData() {
		global $usuario;
		$sCsvStr = "";

		// Default export style
		$sExportStyle = "h";

		// Load recordset
		$rs = $this->LoadRecordset();
		$this->lTotalRecs = $rs->RecordCount();
		$this->lStartRec = 1;

		// Export all
		if ($usuario->ExportAll) {
			$this->lStopRec = $this->lTotalRecs;
		} else { // Export 1 page only
			$this->SetUpStartRec(); // Set up start record position

			// Set the last record to display
			if ($this->lDisplayRecs < 0) {
				$this->lStopRec = $this->lTotalRecs;
			} else {
				$this->lStopRec = $this->lStartRec + $this->lDisplayRecs - 1;
			}
		}
		if ($usuario->Export == "xml") {
			$XmlDoc = new cXMLDocument();
		} else {
			echo ew_ExportHeader($usuario->Export);

			// Horizontal format, write header
			if ($sExportStyle <> "v" || $usuario->Export == "csv") {
				$sExportStr = "";
				ew_ExportAddValue($sExportStr, 'cod_usuario', $usuario->Export);
				ew_ExportAddValue($sExportStr, 'des_email', $usuario->Export);
				ew_ExportAddValue($sExportStr, 'nom_usuario_sistema', $usuario->Export);
				ew_ExportAddValue($sExportStr, 'des_password', $usuario->Export);
				echo ew_ExportLine($sExportStr, $usuario->Export);
			}
		}

		// Move to first record
		$this->lRecCnt = $this->lStartRec - 1;
		if (!$rs->EOF) {
			$rs->MoveFirst();
			$rs->Move($this->lStartRec - 1);
		}
		while (!$rs->EOF && $this->lRecCnt < $this->lStopRec) {
			$this->lRecCnt++;
			if (intval($this->lRecCnt) >= intval($this->lStartRec)) {
				$this->LoadRowValues($rs);

				// Render row for display
				$usuario->RowType = EW_ROWTYPE_VIEW; // Render view
				$this->RenderRow();
				if ($usuario->Export == "xml") {
					$XmlDoc->BeginRow();
					$XmlDoc->AddField('cod_usuario', $usuario->cod_usuario->CurrentValue);
					$XmlDoc->AddField('des_email', $usuario->des_email->CurrentValue);
					$XmlDoc->AddField('nom_usuario_sistema', $usuario->nom_usuario_sistema->CurrentValue);
					$XmlDoc->AddField('des_password', $usuario->des_password->CurrentValue);
					$XmlDoc->EndRow();
				} else {
					if ($sExportStyle == "v" && $usuario->Export <> "csv") { // Vertical format
						echo ew_ExportField('cod_usuario', $usuario->cod_usuario->ExportValue($usuario->Export, $usuario->ExportOriginalValue), $usuario->Export);
						echo ew_ExportField('des_email', $usuario->des_email->ExportValue($usuario->Export, $usuario->ExportOriginalValue), $usuario->Export);
						echo ew_ExportField('nom_usuario_sistema', $usuario->nom_usuario_sistema->ExportValue($usuario->Export, $usuario->ExportOriginalValue), $usuario->Export);
						echo ew_ExportField('des_password', $usuario->des_password->ExportValue($usuario->Export, $usuario->ExportOriginalValue), $usuario->Export);
					}	else { // Horizontal format
						$sExportStr = "";
						ew_ExportAddValue($sExportStr, $usuario->cod_usuario->ExportValue($usuario->Export, $usuario->ExportOriginalValue), $usuario->Export);
						ew_ExportAddValue($sExportStr, $usuario->des_email->ExportValue($usuario->Export, $usuario->ExportOriginalValue), $usuario->Export);
						ew_ExportAddValue($sExportStr, $usuario->nom_usuario_sistema->ExportValue($usuario->Export, $usuario->ExportOriginalValue), $usuario->Export);
						ew_ExportAddValue($sExportStr, $usuario->des_password->ExportValue($usuario->Export, $usuario->ExportOriginalValue), $usuario->Export);
						echo ew_ExportLine($sExportStr, $usuario->Export);
					}
				}
			}
			$rs->MoveNext();
		}

		// Close recordset
		$rs->Close();
		if ($usuario->Export == "xml") {
			header("Content-Type: text/xml");
			echo $XmlDoc->XML();
		} else {
			echo ew_ExportFooter($usuario->Export);
		}
	}

	// Page Load event
	function Page_Load() {

		//echo "Page Load";
	}

	// Page Unload event
	function Page_Unload() {

		//echo "Page Unload";
	}

	// Form Custom Validate event
	function Form_CustomValidate(&$CustomError) {

		// Return error message in CustomError
		return TRUE;
	}
}
?>
